MCU8051IDE(1)

NAME mcu8051ide - Integrated development environment for MCS-51 based microcontrollers

SYNOPSIS
mcu8051ide [--help] [-h] [--assemble asm_file] [--compile asm_file] [--iram-size size] [--code-size size] [--xram-size size] [--no-opt] [--quiet] [-q] [--nosplash] [--nocolor] [-n] [--version] [-V] [--defaults] [--disassemble] [--minimalized] [--config-file filename] [--check-libraries] [--ignore-last-session] [--open-project project] [--reset-user-settings] [--hex2bin input output] [--bin2hex input output] [--sim2hex input output] [--sim2bin input output] [--normalize-hex input] [--auto-indent input] [--comp-quiet] [--no-sim] [--no-bin] [--no-lst] [--no-hex] [--warning-level N]

DESCRIPTION
MCU 8051 IDE is tool for developing programs in assembly language and C languge (with SDCC) for micronstollers based on industrial standard MCS-51. It consist of editor with syntax highlight, auto completion, syntax validation and command line, compiler with support for macro-instructions (even macro in macro), simulator, scientific calculator, (rich) text editor for writing to do lists, hexadecimal editor and many other tools.

OPTIONS

--help, -h
    Display short help text

--quiet, -q
    Don't display status of initialization progress on startup

--nosplash
    Don't show splash screen

--nocolor, -n
    Disable color output

--version, -V
    Display version information

--defaults
    Start with default settings (low level GUI settings (panel sizes ...))

--minimalized
    Start with minimalized window

--config-file filename
    Specify path to file containg user settings

--check-libraries
    Check if all nessesary Tcl libraries are avaible

--ignore-last-session
    Start with an empty session (no project will be opened at startup)

--open-project project
    Open only this project

--reset-user-settings
    Reset all user settings to defaults

--hex2bin input output
    Convert Intel Hex 8 file to binary file

--bin2hex input output
    Convert binary file to Intel Hex 8 file

--sim2hex input output
    Convert MCU 8051 IDE v0.9.1 simulator file to Intel Hex 8 file

--sim2bin input output
    Convert MCU 8051 IDE v0.9.1 simulator file to binary file

--normalize-hex input
    Normalize IHEX8 file

--auto-indent input
    Reformat indention in source code

--disassemble input
    Disaseble IHEX8 code and store result in input.asm

--assemble asm_file
    Assemble the asm_file and exit program

--compile asm_file
    The same as --assemble

--iram-size size
    Set size of internal data memory (eg. 1K or 1024) (default: 0x100)

--code-size size
    Set size of program memory (eg. 1K or 1024) (default: 0x10000)

--xram-size size
    Set size of external data memory (eg. 1K or 1024) (default: 0x10000)

--no-opt
    Disable compiler optimalizations

--comp-quiet
    Suppress compiler console output

--no-sim
    Do not generate SIM file (for MCU 8051 IDE simulator)

--no-bin
    Do not generate binary object code

--no-lst
    Do not generate code listing

--no-hex

--warning-level N
    Do not generate IHEX8 object code; 3 - Nothing; 2 - Errros only; 1 - Errors + Warnings; 0 - All (Default)

FILES

/usr/share/mcu8051ide/data/tips.conf
    XML file containing tips. (Dialog "Tip of the day")

/usr/share/mcu8051ide/data/mcus.conf
    XML definition of supported MCUs. Warning: MCU 8051 IDE cannot run without this file. Please do not rely on format of this file. It may be changed in future version without any warning.

~/.mcu8051ide/last_session.conf
    INI like definition of the last session.

~/.mcu8051ide/base.conf
    Base configuration file. It contains only three configuration keys separated by spaces, please do not rely on format of this file. It may be changed in future version without any warning.

~/.mcu8051ide/config.conf
    Main configuration file (INI like). Readable and I hope user friendly.

NOTES
List of supported porcessors is very short yet. Please post suggestions to martin.osmera@gmail.com .

SUPPORTED PROCESSORS
8051, 80C51, 8052, AT89C2051, AT89C4051, AT89C51, AT89C51RC, AT89C52, AT89C55WD, AT89LV51, AT89LV52, AT89LV55, AT89S52, AT89LS51, AT89LS52, AT89S8253, AT89S2051, AT89S4051, AT89S52, AT89LS51, AT89LS52, AT89S8253, AT89S2051, AT89S4051, T87C5101, T83C5101, T83C5102, TS80C32X2, TS80C52X2, TS87C52X2, AT80C32X2, AT80C52X2, AT87C52X2, AT80C54X2, AT80C58X2, AT87C54X2, AT87C58X2, TS80C54X2, TS80C58X2, TS87C54X2, TS87C58X2, TS80C31X2, AT80C31X2

TO DO
Add support for more MCS-51 based microcontrollers. Fix all bugs.

AUTHOR
Martin Osmera <martin.osmera@moravia-microsystems.com>